%global base_name       antunit
Name:                ant-%{base_name}
Version:             1.3
Release:             2
Summary:             Provide antunit ant task
License:             ASL 2.0
URL:                 http://ant.apache.org/antlibs/antunit/
Source0:             https://archive.apache.org/dist/ant/antlibs/%{base_name}/source/apache-%{name}-%{version}-src.tar.bz2
BuildArch:           noarch
BuildRequires:       javapackages-local ant ant-junit ant-testutil

%description
The <antunit> task drives the tests much like <junit> does for JUnit tests.
When called on a build file, the task will start a new Ant project for that
build file and scan for targets with names that start with "test". For each
such target it then will:
   1. Execute the target named setUp, if there is one.
   2. Execute the target itself - if this target depends on other targets the
      normal Ant rules apply and the dependent targets are executed first.
   3. Execute the target names tearDown, if there is one.

%package javadoc
Summary:             Javadoc for %{name}

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n apache-%{name}-%{version}
mv CONTRIBUTORS CONTRIBUTORS.orig
iconv -f ISO-8859-1 -t UTF-8 CONTRIBUTORS.orig > CONTRIBUTORS
touch -r CONTRIBUTORS.orig CONTRIBUTORS

%build
ant package

%install
%mvn_artifact %{name}-%{version}.pom build/lib/%{name}-%{version}.jar
%mvn_file ":ant-antunit" ant/ant-antunit
%mvn_install -J docs/
mkdir -p %{buildroot}%{_sysconfdir}/ant.d
echo "ant/%{name}" > %{buildroot}%{_sysconfdir}/ant.d/%{base_name}

%files -f .mfiles
%license LICENSE NOTICE
%doc CONTRIBUTORS README README.html WHATSNEW
%config(noreplace) %{_sysconfdir}/ant.d/%{base_name}

%files javadoc -f .mfiles-javadoc
%license LICENSE NOTICE

%changelog
* Mon Sep 14 2020 chengzihan <chengzihan2@huawei.com> - 1.3-2
- Replace invalid url of Source0

* Fri Jul 24 2020 chengzihan <chengzihan2@huawei.com> - 1.3-1
- Package init
